CreateUser - PUT
|
Path |
/api/users/{userId} |
|---|---|
|
Http Method |
PUT |
Overview
NO LICENSE
Update user info.
Required permissions
-
Global administration privileges. ADMIN
Request
Path parameters
|
Parameter |
Type |
Required |
Description |
Example |
|---|---|---|---|---|
|
userId |
string |
Yes |
The Id of the user, generated on creation. |
099ec495a1b548efa43b15da09262c20 |
Request body
JSON
{
"name": "My User",
"isAdmin": true,
"accessRights": {}
}
Field descriptions
|
Field |
Type |
Required |
Description |
Constraints |
|---|---|---|---|---|
|
name |
string |
yes |
The display name of the user. Defaults to empty. |
|
|
isAdmin |
boolean |
no |
Whether or not the user is a global administrator. Default to false. |
A user cannot remove their own access rights. |
|
accessRights |
object |
no |
The user’s access rights. Defaults to no access rights. |
Response
The response is equivalent to user creation: Metavault API - Create user | Response